/* ==========================================
   Hero  Section
   =========================================== */
.yp-heading {
    font-family: 'Philosopher'!important;
    color: #632240;
    font-weight: 600;
    letter-spacing: -1px;
}

.yth-description {
    color: var(--color-text-light);
    font-size: 22px;
}

.yp-book-btn {
    background: var(--gradient-button);
    color: white;
    border: none;
    border-radius: 8px;
    padding: 10px 30px;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    transition: all 0.3s;
    font-size: 20px;
}

 .yp-book-btn:hover {
      transform: translateY(-2px);
    }

.yp-details span {
    font-size: 22px;
    color: var(--color-primary);
    font-weight: 600;
}

.yp-details p {
    font-size: 18px;
    color: var(--color-text-lighter);
}

/* ==========================================
   Why Choose Us Section
   =========================================== */

.yp-benefit-card {
    background-color: var(--bg-white);
    border-radius: 16px;
    display: flex;
    flex-direction: column;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    min-width: 280px;
    border: 1px solid #ececec;
}


.yp-benefit-card:hover {
    border: 1px solid #E8BACB;
    transition: all 0.3s ease;
}

.yp-benefit-card:hover {
    border: 1px solid #E8BACB;
    transition: all 0.3s ease;
}

.yp-benefit-title {
    color: var(--color-text-dark);
    font-weight: 600;
}

.yp-benefit-description {
    color: var(--color-text-light);
    font-size: 16px;
}

.yp-benefit-icon {
    width: 65px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    margin-bottom: 8px;
}

/* ==========================================
   Pandit Ji Register Section
   =========================================== */

.yp-center {
    width: fit-content;
    margin: auto;
}

.yp-primary-color {
    background: var(--gradient-button);
}

.yp-default-color {
    background: #D5D4D9;
}

.form-section h5 {
    color: var(--color-primary);
    font-weight: 600;
}

.registration-container {
      background: #fff;
      max-width: 700px;
      margin: 40px auto;
      /* padding: 40px; */
      border-radius: 16px;
      box-shadow: 0 4px 10px rgba(0,0,0,0.1);
    }
    .logo-icon {
      font-size: 40px;
      color: #f3b80b;
      font-weight: 700;
      margin-right: 5px;
    }
    .title {
      color: #6b1d57;
      font-weight: 600;
      font-size: 24px;
    }
    .step {
      display: flex;
      align-items: center;
      justify-content: center;
      margin: 20px 0;
    }
    .step .circle {
      width: 35px;
      height: 35px;
      border-radius: 50%;
      background: #ccc;
      color: #fff;
      display: flex;
      align-items: center;
      justify-content: center;
      font-weight: 600;
    }
    .step .line {
      width: 100px;
      height: 4px;
      background: #ccc;
    }
    .active-step .circle {
      background: #6b1d57;
    }
    .active-line {
      background: #28a745 !important;
    }
    .form-section {
      display: none;
    }
    .form-section.active {
      display: block;
    }
    .btn-primary {
      background: #6b1d57;
      border: none;
    }
    .btn-primary:hover {
      background: #541645;
    }
    .btn-secondary {
      background: #ddd;
      color: #000;
      border: none;
    }
    .success-popup {
      text-align: center;
      display: none;
    }
    .success-popup.active {
      display: block;
    }
    .success-popup i {
      font-size: 60px;
      color: #28a745;
      margin-bottom: 20px;
    }

    .ypr-book-btn {
    background: var(--gradient-button);
    color: white;
    border: none;
    border-radius: 8px;
    padding: 10px 30px;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    transition: all 0.3s;
    font-size: 18px;
}

 .ypr-book-btn:hover {
      transform: translateY(-2px);
    }

    .modal-content i {
      font-size: 70px;
      color: var(--color-success);
    }

    .ypr-pop-head {
      font-weight: 600;
      text-align: center;
      color: var(--color-primary);
    }

    .ypr-paragraph {
      color: var(--color-text-dark);
    }

    .ypr-ul li {
      color: var(--color-text-lighter);
    }

    .ypr-ul h5 {
      color: var(--color-primary);
    }


@media (max-width: 992px){
    .yp-heading {
      font-size: 32px;
    }

    .yth-description{
      font-size: 18px;
    }

    .yp-details span {
      font-size: 20px;
    }

    .yp-details p {
      font-size: 16px;
    }

    .ypr-about-content {
        flex-direction: column-reverse;
    }
}

@media (max-width: 767px) {
    .yp-benefit-icon {
        width: 51px;
    }

    .yp-benefit-title {
        font-size: 18px;
    }

    .yp-center {
        margin: 0px;
    }

     .yp-book-btn {
      font-size: 16px;
    }
}

@media (max-width: 576px) {
      .yp-heading {
        font-size: 24px;
    }

        .yth-description {
        font-size: 16px;
    }

    .yp-details span {
        font-size: 18px;
    }

    .yp-details p {
        font-size: 14px;
    }

    .registration-container {
    margin: 8px auto;
}

.ypr-pr-heading {
  font-size: 16px;
}

#prev2 span, #prev3 span {
  display: none;
}

#prev2 i, #prev3 i {
  font-size: 24px;
}

}

@media (max-width: 376px){
    .ypr-step-wrap {
      align-items: flex-start !important;
    }

    .ypr-book-btn {
      padding: 10px 20px;
      font-size: 16px;
    }

}
